Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## superwaba.ext.xplat.io.gps.garmin
Class Packet

    java.lang.Object
      |
      +--superwaba.ext.xplat.io.gps.garmin.Packet

public class Packet
extends Object

Class that parses GPS data readen from the serial port

Field Summary
`static Packet` | `ack`
`static int` | `ACK`
`static int` | `ALMANAC`
`static int` | `COMMAND`
`static int` | `DATE_TIME`
`static int` | `FINISHED`
`static int` | `NAK`
`static int` | `NUM_RECORDS`
`static int` | `POS_VEL_TIME`
`static int` | `POSITION`
`static int` | `PRODUCT_DATA`
`static int` | `PRODUCT_REQUEST`
`static int` | `PROXIMITY_WAYPOINT`
`static int` | `ROUTE_HEADER`
`static int` | `ROUTE_WAYPOINT`
`static int` | `TRACK`
`static int` | `WAYPOINT`

Constructor Summary
`Packet()`
`Packet(int id)`
`Packet(int id, int size)`

Method Summary
`DataStream` | `getDataStream()`
`int` | `getID()`
`static void` | `main(String[] args)`
`int` | `read(Stream st)`
`static Packet` | `readPacket(Stream st)`
`static void` | `sendNumRecords(Stream st, int num)`
`int` | `write(Stream st)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, toString, wait, wait`

Field Detail

### ACK

    public static final int ACK

### NAK

    public static final int NAK

### PRODUCT_REQUEST

    public static final int PRODUCT_REQUEST

### PRODUCT_DATA

    public static final int PRODUCT_DATA

### COMMAND

    public static final int COMMAND

### FINISHED

    public static final int FINISHED

### DATE_TIME

    public static final int DATE_TIME

### POSITION

    public static final int POSITION

### PROXIMITY_WAYPOINT

    public static final int PROXIMITY_WAYPOINT

### NUM_RECORDS

    public static final int NUM_RECORDS

### ROUTE_HEADER

    public static final int ROUTE_HEADER

### ROUTE_WAYPOINT

    public static final int ROUTE_WAYPOINT

### ALMANAC

    public static final int ALMANAC

### TRACK

    public static final int TRACK

### WAYPOINT

    public static final int WAYPOINT

### POS_VEL_TIME

    public static final int POS_VEL_TIME

### ack

    public static Packet ack

Constructor Detail

### Packet

    public Packet()

### Packet

    public Packet(int id)

### Packet

    public Packet(int id,
                  int size)

Method Detail

### getID

    public int getID()

### getDataStream

    public DataStream getDataStream()

### readPacket

    public static Packet readPacket(Stream st)

### read

    public int read(Stream st)

### write

    public int write(Stream st)

### sendNumRecords

    public static void sendNumRecords(Stream st,
                                      int num)

### main

    public static void main(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD